module Network.HTTP.Pony.Serve.Wai.Type where


import Data.ByteString (ByteString)
import Data.CaseInsensitive (CI)
import qualified Network.HTTP.Pony.Transformer.HTTP.Type as HTTP
import qualified Network.HTTP.Pony.Transformer.StartLine.Type as StartLine

type MessageType a = (a, [(CI ByteString, ByteString)])

type Request = HTTP.Request (MessageType StartLine.RequestLine) ByteString IO ()
type Response = HTTP.Response (MessageType StartLine.ResponseLine) ByteString IO ()

type App = Request -> IO Response
